Bug 1415845 - [satellite 6 install guide] syncing satellite tools 6.2 for clients should be listed as optional step.
Summary: [satellite 6 install guide] syncing satellite tools 6.2 for clients should be...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Unspecified
Assignee: Zac Dover
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 23:17 UTC by Kathryn Dixon
Modified: 2020-03-11 15:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-07 01:23:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kathryn Dixon 2017-01-23 23:17:09 UTC
Document URL: 

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide/#upgrading_satellite_server_parent


Section Number and Name: 

6.2. Upgrading a Connected Satellite Server  

step 10
Configure the repositories in the Satellite web UI. 
step 11
Synchronize the newly enabled repositories. 
step 12
Update any pre-existing Content Views that utilize 6.1 version repositories with the new version for 6.2. Publish and promote updated versions of any Content Views that now have the new 6.2 version repositories. 
^ this should only be for capsule 6.2 repo

Describe the issue: I'm sure this was an rfe at some point, however having these steps here has caused case volume for the following reasons

1- customers are upgrading their katello-agents on the clients BEFORE upgrading to 6.2.x since they are told to sync it

2 - these syncs can fail and we think if it fails then you can't continue to upgrading the satellite

3- it creates more tasks before doing the upgrade, and as we know we do not want tasks running/paused during the upgrade process.

Suggestions for improvement: This step imo should just be taken out ( leave capsule information for 6.2)

If it cant be taken out, then at least note that this is OPTIONAL, and we do not upgrade clients to new versions of katello-agent until the upgrade is complete.

Additional information: 

Maybe we can just move that above section to here since this explains how to upgrade clients with katello-agent as well as this step is after the upgrade, so shouldn't the above be here instead?

6.6. Upgrading Satellite Clients
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide/#upgrading_clients

Comment 1 Andrew Dahms 2017-01-27 01:16:25 UTC
Hi Kathryn,

Thank you for raising this bug - I understand how the steps in their current state could be quite confusing.

Bryan - can you see any issues with us removing that step from the formal upgrade process and moving it to the section on upgrading clients?

Kind regards,

Andrew

Comment 2 Kathryn Dixon 2017-01-30 16:48:09 UTC
Rich, want to share your opinion here

Comment 3 Kathryn Dixon 2017-01-30 16:50:18 UTC
Also as a note here

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide/#upgrading_satellite_server_parent

This should also mention to NOT remove the 6.1 tools repo from the content view yet if you want to do section 6.6 since this satellite-tools-upgrade is from the 6.1 repo. Or we should make a note of that here.

Comment 4 Rich Jerrido 2017-01-30 19:50:01 UTC
Huge +1 from me. Syncing the 6.2 repos should be done *after* the Satellite is upgraded. While it doesn't hurt to sync the repositories and republish the content views at this step, it is definitely not required. 

And from a user's perspective, they may only have a finite amount of time to complete the upgrade, so any step not directly related to upgrades should be deferred until post-upgrade.

Comment 5 Andrew Dahms 2017-02-01 06:35:29 UTC
Assigning to Zac for review.

Comment 10 Kathryn Dixon 2017-04-11 23:19:18 UTC
I believe the section that you have removed should then go under how to upgrade the clients in this section.

Since "old" katello-agent will work on clients these steps should be done post upgrade.. so customers do not have issues with syncing 6.2 tools during there downtime window. We can address this after the upgrade.

6.6. Upgrading Satellite Clients
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide/#upgrading_clients

Sorry for the delay. Hope that makes sense.

Comment 19 Andrew Dahms 2017-08-07 01:23:20 UTC
This content is live on the Customer Portal.

Cancelling needinfo requests.

Closing.


Note You need to log in before you can comment on or make changes to this bug.